Subject: Re: [PATCH v2 2/3] net: can: c_can: Add syscon/regmap RAMINIT mechanism

From: Wolfram Sang <[email-masked]>
Date: Tue, 30 Sep 2014 15:52:26 +0200

> >> +- ti,raminit-syscon	: Handle to system control region that contains the
> >> +			  RAMINIT register. If specified, the second memory resource
> >> +			  in the reg property must index into the RAMINIT
> >> +			  register within the syscon region
> > 
> > There seems to be a simple "syscon" property these days.
> 
> I had used plain "syscon" in the earlier revisions but was asked to make it a TI specific
> property since only TI uses this mechanism.

I see, when was that? Currently, it looks messy :( Grepping through the
dts files in 3.17-rc7, I see that bcm7445 uses "syscon" and variants
with prefixes, STE uses it, too. Samsung uses "samsung,syscon-phandle",
st uses "st,syscon"...

The MACID readout patches for AM335x (just applied right now) also use
"syscon": https://patchwork.ozlabs.org/patch/394289/

I'd vote for a generic "syscon" to be OK, yet I guess the DT maintainers
will have the final word.

> >> +- ti,raminit-start-bit	: Bit posistion of START bit in the RAMINIT register
> >> +- ti,raminit-done-bit	: Bit position of DONE bit in the RAMINIT register
> > 
> > This should not be encoded in DT! This is not describing hardware setup.
> > The driver should know where the bits are for the syscon phandle,
> > depending on which SoC it runs...
> > 
> OK. I'll think of matching the compatible ID with SOC specific data in the driver.

Great, thanks!